Package org.apache.sling.jcr.davex.impl.servlets

# Class SlingDavExServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.jackrabbit.webdav.server.AbstractWebdavServlet
org.apache.jackrabbit.webdav.jcr.JCRWebdavServerServlet
org.apache.jackrabbit.server.remoting.davex.JcrRemotingServlet
org.apache.sling.jcr.davex.impl.servlets.SlingDavExServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`, `org.apache.jackrabbit.webdav.DavConstants`

public class SlingDavExServlet extends org.apache.jackrabbit.server.remoting.davex.JcrRemotingServlet
DavEx WebDav servlet which acquires a Repository instance via the OSGi service registry.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`SlingDavExServlet.Config`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`SERVICE_DESCRIPTION`
`protected static final String`
`SERVICE_VENDOR`

### Fields inherited from class org.apache.jackrabbit.server.remoting.davex.JcrRemotingServlet

`ATTR_TMP_DIRECTORY, INIT_PARAM_BATCHREAD_CONFIG, INIT_PARAM_HOME, INIT_PARAM_PROTECTED_HANDLERS_CONFIG, INIT_PARAM_TMP_DIRECTORY`

### Fields inherited from class org.apache.jackrabbit.webdav.jcr.JCRWebdavServerServlet

`CTX_ATTR_RESOURCE_PATH_PREFIX, INIT_PARAM_CONCURRENCY_LEVEL, INIT_PARAM_RESOURCE_PATH_PREFIX, subscriptionMgr, txMgr`

### Fields inherited from class org.apache.jackrabbit.webdav.server.AbstractWebdavServlet

`DEFAULT_AUTHENTICATE_HEADER, INIT_PARAM_AUTHENTICATE_HEADER, INIT_PARAM_CREATE_ABSOLUTE_URI, INIT_PARAM_CSRF_PROTECTION, INIT_PARAM_MISSING_AUTH_MAPPING`

### Fields inherited from interface org.apache.jackrabbit.webdav.DavConstants

`creationDateFormat, DEPTH_0, DEPTH_1, DEPTH_INFINITY, DEPTH_INFINITY_S, HEADER_AUTHORIZATION, HEADER_CONTENT_LANGUAGE, HEADER_CONTENT_LENGTH, HEADER_CONTENT_TYPE, HEADER_DAV, HEADER_DEPTH, HEADER_DESTINATION, HEADER_ETAG, HEADER_IF, HEADER_LAST_MODIFIED, HEADER_LOCK_TOKEN, HEADER_OVERWRITE, HEADER_TIMEOUT, INFINITE_TIMEOUT, modificationDateFormat, NAMESPACE, OPAQUE_LOCK_TOKEN_PREFIX, PROPERTY_CREATIONDATE, PROPERTY_DISPLAYNAME, PROPERTY_GETCONTENTLANGUAGE, PROPERTY_GETCONTENTLENGTH, PROPERTY_GETCONTENTTYPE, PROPERTY_GETETAG, PROPERTY_GETLASTMODIFIED, PROPERTY_LOCKDISCOVERY, PROPERTY_RESOURCETYPE, PROPERTY_SOURCE, PROPERTY_SUPPORTEDLOCK, PROPFIND_ALL_PROP, PROPFIND_ALL_PROP_INCLUDE, PROPFIND_BY_PROPERTY, PROPFIND_PROPERTY_NAMES, TIMEOUT_INFINITE, UNDEFINED_TIME, UNDEFINED_TIMEOUT, XML_ACTIVELOCK, XML_ALLPROP, XML_COLLECTION, XML_DEPTH, XML_DST, XML_EXCLUSIVE, XML_HREF, XML_INCLUDE, XML_KEEPALIVE, XML_LINK, XML_LOCKENTRY, XML_LOCKINFO, XML_LOCKROOT, XML_LOCKSCOPE, XML_LOCKTOKEN, XML_LOCKTYPE, XML_MULTISTATUS, XML_OMIT, XML_OWNER, XML_PROP, XML_PROPERTYBEHAVIOR, XML_PROPERTYUPDATE, XML_PROPFIND, XML_PROPNAME, XML_PROPSTAT, XML_REMOVE, XML_RESPONSE, XML_RESPONSEDESCRIPTION, XML_SET, XML_SHARED, XML_SOURCE, XML_STATUS, XML_TIMEOUT, XML_WRITE`

## Constructor Summary

Constructors
Constructor
Description
`SlingDavExServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.osgi.framework.BundleContext bundleContext, SlingDavExServlet.Config config)`
`protected void`
`deactivate()`
`protected javax.jcr.Repository`
`getRepository()`
`protected org.apache.jackrabbit.server.SessionProvider`
`getSessionProvider()`

### Methods inherited from class org.apache.jackrabbit.server.remoting.davex.JcrRemotingServlet

`doGet, doPost, getResourceFactory, getResourcePathPrefix, init`

### Methods inherited from class org.apache.jackrabbit.webdav.jcr.JCRWebdavServerServlet

`getCredentialsProvider, getDavSessionProvider, getLocatorFactory, getPathPrefix, isPreconditionValid, setDavSessionProvider, setLocatorFactory, setResourceFactory, validateDestination`

### Methods inherited from class org.apache.jackrabbit.webdav.server.AbstractWebdavServlet

`doAcl, doBaselineControl, doBind, doCheckin, doCheckout, doCopy, doDelete, doHead, doLabel, doLock, doMerge, doMkActivity, doMkCol, doMkWorkspace, doMove, doOptions, doOrderPatch, doPoll, doPropFind, doPropPatch, doPut, doRebind, doReport, doSearch, doSubscribe, doUnbind, doUncheckout, doUnlock, doUnsubscribe, doUpdate, doVersionControl, execute, getAuthenticateHeaderValue, getInputContext, getOutputContext, isCreateAbsoluteURI, sendUnauthorized, service`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_VENDOR

protected static final String SERVICE_VENDOR

See Also:
  - Constant Field Values

### SERVICE_DESCRIPTION

protected static final String SERVICE_DESCRIPTION

See Also:
  - Constant Field Values

## Constructor Details

### SlingDavExServlet

public SlingDavExServlet()

## Method Details

### activate

protected void activate(org.osgi.framework.BundleContext bundleContext, SlingDavExServlet.Config config)

### deactivate

protected void deactivate()

### getRepository

protected javax.jcr.Repository getRepository()

Specified by:
  `getRepository` in class `org.apache.jackrabbit.webdav.jcr.JCRWebdavServerServlet`

### getSessionProvider

protected org.apache.jackrabbit.server.SessionProvider getSessionProvider()

Overrides:
  `getSessionProvider` in class `org.apache.jackrabbit.webdav.jcr.JCRWebdavServerServlet`